Hide navigation sidebar
Hide table of contents sidebar
PTB has undergone significant changes in v20. Please read the documentation carefully and also check out the transition guide in the wiki.
Back to top
Toggle table of contents sidebar

# MessageAutoDeleteTimerChanged

class telegram.MessageAutoDeleteTimerChanged(message_auto_delete_time, *, api_kwargs=None)

  Bases: `telegram.TelegramObject`

  This object represents a service message about a change in auto-delete timer settings.

  Objects of this class are comparable in terms of equality. Two objects of this class are considered equal, if their `message_auto_delete_time` is equal.

  Available In

  `telegram.Message.message_auto_delete_timer_changed`

  New in version 13.4.

  Parameters:

    message_auto_delete_time (`int`) – New auto-delete time for messages in the chat.

  message_auto_delete_time

    New auto-delete time for messages in the chat.

    Type:

      `int`